Subject: origin of plants/seeds2--I forgot my email address!

From: laura van dam <[email-masked]>
Date: 7 Jun 1995 17:01:24 GMT

I forgot to include my email address for any responses. It's
[email-masked]. Thank you very much for helping us--I know this will
help Ian get excited about how to elarn on his own.